> For the complete documentation index, see [llms.txt](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/llms.txt)

# Retrieve a List of Elements

> GET /profiles/{profile_id}/pages/{page_id}/elements



## Servers
- https://api.iformbuilder.com/exzact/api/v81/[servername]: https://api.iformbuilder.com/exzact/api/v81/[servername]


## Authentication methods
- Oauth2


## Parameters
### Headers

- **Authorization** (string)
  e.g. Bearer {access_token}


### Path parameters

- **profile_id** (string)
  id of the profile

- **page_id** (number)
  id of the page


### Query parameters

- **fields** (string)
  extra information of each element on the list

- **limit** (number)
  maximum count of the element list

- **offset** (number)
  skip that many elements before beginning to return

- **validate_grammar** (string)
  returns an error for incorrect field grammar when set to true

- **all_fields** (boolean)
  will show all fields for each elements

- **exclude** (string)
  will exclude specified fields



## Responses
### 200
OK
#### Headers

- **Total-Count** (string)


#### Body: application/json (object)
- **id** (number)

- **name** (string)

- **global_id** (string)

- **version** (number)

- **label** (string)

- **description** (string)

- **data_type** (number)

- **data_size** (number)

- **created_date** (string)

- **created_by: `demo_user`** (string)

- **modified_date** (string)

- **modified_by: `demo_user`** (string)

- **widget_type** (string)

- **sort_order** (number)

- **optionlist_id** (number)

- **default_value** (string)

- **low_value** (number)

- **high_value** (number)

- **dynamic_value** (string)

- **is_required** (boolean)

- **condition_value** (string)

- **client_validation** (string)

- **is_disabled** (boolean)

- **reference_id_1** (string)

- **attachment_link** (string)

- **is_readonly** (boolean)

- **is_action** (boolean)

- **validation_message** (string)

- **smart_tbl_search** (string)

- **smart_tbl_search_col** (string)

- **is_encrypt** (boolean)

- **is_hide_typing** (boolean)

- **keyboard_type** (number)

- **dynamic_label** (string)

- **weighted_score** (number)


### 404
Not Found - `page_id` does not exist or is not a page of `profile_id`.

#### Body: application/json (object)
- **error_message** (string)
  human-readable reason for the failure



[Powered by Bump.sh](https://bump.sh)
